### Method

# Camel OfflineSettings set_limit_by_age

since: 3.24

#### Declaration [src]

    void
    camel_offline_settings_set_limit_by_age (
      CamelOfflineSettings* settings,
      gboolean limit_by_age
    )

#### Description [src]

Set whether the messages to download for offline should be limited by age. If set to `TRUE`, then messages older than ‘limit-value’ will not be downloaded automatically.

Available since: 3.24

Sets property | `Camel.OfflineSettings:limit-by-age`

#### Parameters

`limit_by_age`

  Type: `gboolean`

  A value to set.